$(function() {
    var options = {
        colors: ["#FFF"],
        series: {
            lines: { show: true },
        },
        grid: {
            show: false,
        },
        xaxis: { show: false },
        yaxis: { show: false }
    }

    var updatePlot = function(label, data, datetime) {
        $(".belt-top-status__text").text(label);
        var plotObj = $.plot(".wave", [ data ], options);

        $(".detected-at__date span").text(datetime.format("YYYY/MM/DD"));
        $(".detected-at__time span").text(datetime.format("HH:mm:ss"));
    }

    var updateNormal = function(data, datetime) {
        $(".belt-top").removeClass("belt-top--abnormal");
        $(".belt-top").addClass("belt-top--normal");

        updatePlot("Normal", data, datetime);
    };

    var updateAbnormal = function(data, datetime) {
        $(".belt-top").removeClass("belt-top--normal");
        $(".belt-top").addClass("belt-top--abnormal");
        $(".belt-top-status__text").text("Abnormal");

        updatePlot("Abnormal", data, datetime);
    };

    setInterval(function() {
        $.ajax({ type: "GET", url: "/api/spectrum", dataType: "json" })
            .done(function(data) {
                if (!data.success) {
                    console.log("Failed in server side")
                    return;
                }

                var datetime = moment(data.anomaly.recordedAtStr, "YYYY/MM/DD HH:mm:ss");
                var date = datetime.format("YYYY/MM/DD");
                var time = datetime.format("HH:mm:ss");
                var showingDate = $(".detected-at__date span").text();
                var showingTime = $(".detected-at__time span").text();

                if (date === showingDate && time === showingTime) {
                    console.log("Not change")
                    return;
                }

                var graphData = []
                $.each(data.spectrums, function(index, spectrum) {
                    graphData.push([spectrum.x, spectrum.y])
                })

                if (data.anomaly.isAnomaly) {
                    updateAbnormal(graphData, datetime);
                } else {
                    updateNormal(graphData, datetime);
                }

            });
    }, 1000);


});