#!/bin/bash

# 保存するファイル名
filename=`date +%Y%m%d%H%M%S`
# wavを録音する時間(秒)
duration=1
# カード番号
hardware=1
# ログの保存先指定
logfile=log/`date +%Y%m%d%H%M%S`.log

# durationで指定した時間録音して、wavファイルを生成
# 各パラメータの説明は以下のアドレスを参照
# http://linuxcommand.org/man_pages/arecord1.html
arecord -d $duration -f S16_LE -D hw:$hardware $filename.wav >> $logfile 2>&1

# wavファイルをRでスペクトル分解し
# 処理したデータを含めてAzureMLで公開したAPIを呼び出す
Rscript wav_process.R $filename

# 処理したwavファイルを退避
mv $filename.wav wav/

exit
