rm(list = ls())

library(seewave)
library(tuneR)
library(foreach)
library(snow)
library(doSNOW)
library(magrittr)

n_cluster <- 4

len_arr <- 200
n_sample <- 10000
slice_interval <- 0.1

name <- commandArgs(TRUE)
wav_normal <- readWave(name)

f <- wav_normal@samp.rate

# 連続した音声データをn秒毎に音声を切り出す
cl <- makeCluster(n_cluster, type = "SOCK")
registerDoSNOW(cl)
list_data_spectrum_decomp <- foreach(i = 1:n_sample, .packages = c("seewave", "magrittr") ) %dopar% {
  cutw(wav_normal,
       from = (i - 1) * slice_interval,
       to = i * slice_interval) %>% spec(., f = f, plot = F) %>% extract(1:len_arr, 2)
}
closeNode(cl)


data_spec <- list_data_spectrum_decomp %>%
  unlist %>%
  matrix(nrow = n_sample, byrow = T)

write.table(as.data.frame(data_spec), file = "./trainingdata.csv", quote = F, row.names = F, sep = ",")
